package com.ltt.compass.weather.base

import android.view.View

/**
 * 初始化VIEW接口
 */
interface BaseViewInit {

    /**
     * 获取布局id
     */
    fun getContentViewId(): Int
    /**
     * 用于Activity
     */
    fun initViews()

    /**
     * 初始化数据
     */
    fun initData()
}