//package com.dotools.weather.presenter
//
//import com.dotools.umlibrary.UMPostUtils
//import com.dotools.weather.AppConfig
//import com.dotools.weather.api.ApiConstants
//import com.dotools.weather.api.ResultCallBack
//import com.dotools.weather.api.RetrofitRequest
//import com.dotools.weather.bean.CityData
//import com.dotools.weather.bean.CurrentWeatherData
//import com.dotools.weather.contract.SearchCityContract
//import com.dotools.weather.model.SearchCityModelImp
//import com.dotools.weather.util.HttpPostRequestUtil
//import java.util.*
//
//class SearchCityPresenterImp : SearchCityContract.SearchCityPresenter() {
//    private val mModel: SearchCityModelImp = SearchCityModelImp()
//
//    override fun initDb() {
//        mModel.initDb(mViewRef!!.get()!!.getContext())
//        RetrofitRequest.getInstance().setApiBaseUrl(ApiConstants.BASE_URL)
//    }
//
//    override fun searchCity(cityName: String) {
//        RetrofitRequest.getInstance().sendPostMapRequest(ApiConstants.SEARCH_CITY_URL, HttpPostRequestUtil.getSearchCity(cityName), object : ResultCallBack<CityData> {
//            override fun onReadyResult() {
//                mViewRef!!.get()!!.showMessage("")
//            }
//
//            override fun onSuccess(t: CityData) {
//                if (t.statusCode == 200) {
//                    mViewRef!!.get()!!.searchCitySuccess(t.data!!)
//                } else {
//                    postErrorUm(t.statusCode, "SearchCity-searchCity:"+t.errorMsg!!)
//                }
//            }
//
//            override fun onSuccessJson(json: String) {
//            }
//
//            override fun onFailure(code: Int, msg: String) {
//                postErrorUm(code, "SearchCity-searchCity:$msg")
//            }
//        })
//    }
//
//    override fun searchWeather(cityId: String) {
//        RetrofitRequest.getInstance().sendPostMapRequest(ApiConstants.SEARCH_CURRENT_WEATHER_URL, HttpPostRequestUtil.getCurrentWeather(cityId), object : ResultCallBack<CurrentWeatherData> {
//            override fun onReadyResult() {
//                mViewRef?.get()?.showMessage("cityId")
//            }
//
//            override fun onSuccess(t: CurrentWeatherData) {
//                if (t.statusCode == 200) {
//                    mModel.saveWeather(cityId, t)
//                    mViewRef?.get()?.saveCityAndWeatherSuccess(cityId)
//                } else {
//                    postErrorUm(t.statusCode, "SearchCity-searchWeather:"+t.errorMsg!!)
//                }
//            }
//
//            override fun onSuccessJson(json: String) {
//            }
//
//            override fun onFailure(code: Int, msg: String) {
//                postErrorUm(code, "SearchCity-searchWeather:$msg")
//            }
//        })
//    }
//
//
//    override fun saveCity(city: CityData.CityDataBean) {
//        if (mModel.saveCity(city) >= 0) {
//            searchWeather(city.Key!!)
//        } else {
//            mViewRef!!.get()!!.showError("城市已存在")
//        }
//    }
//
//
//    private fun postErrorUm(errorCode: Int, msg: String) {
//        mViewRef!!.get()!!.showError("服务器繁忙")
//        val map = HashMap<String, String>()
//        map["error"] = "code:$errorCode-$msg"
//        UMPostUtils.onEventMap(mViewRef!!.get()!!.getContext(), AppConfig.SERVICE_BUSY_NO_DATA, map)
//    }
//
//}