package com.ltt.compass.weather.bean

import com.ltt.compass.weather.base.BaseData

class HourWeatherData : BaseData() {
    /**
     * DateTime : 2014-03-24T13:00:00-04:00
     * EpochDateTime : 1395680400
     * WeatherIcon : 2
     * IconPhrase : Mostly sunny
     * IsDaylight : true
     * Temperature : {"Value":26,"Unit":"F","UnitType":18}
     * "Wind": {
     * "Speed": {
     * "Value": 10.0,
     * "Unit": "mi/h",
     * "UnitType": 9
     * },
     * "Direction": {
     * "Degrees": 292.0,
     * "Localized": "ONO",
     * "English": "WNW"
     * }
     * },
     * PrecipitationProbability : 0
     * MobileLink : http://m.accuweather.com/en/us/state-college-pa/16801/hourly-weather-forecast/335315?day=1&hbhhour=13&lang=en-us
     * Link : http://www.accuweather.com/en/us/state-college-pa/16801/hourly-weather-forecast/335315?day=1&hbhhour=13&lang=en-us
     */
    var data: List<HourWeatherDataBean>? = null

    class HourWeatherDataBean {
        var DateTime: String? = null
        var EpochDateTime = 0
        var WeatherIcon = 0
        var IconPhrase: String? = null
        var IsDaylight = false
        var Temperature: UnitBean? = null
        var Wind: HourWind? = null
        var PrecipitationProbability = 0
        var MobileLink: String? = null
        var Link: String? = null

        class HourWind {
            var Direction: WindDirectionBean? = null
            var Speed: UnitBean? = null
        }
    }
}