//package com.dotools.weather.model
//
//import android.content.ContentValues
//import android.content.Context
//import com.dotools.weather.bean.CityData
//import com.dotools.weather.contract.MainContract
//import com.dotools.weather.util.DataBaseOpenHelper
//import com.google.gson.Gson
//
//class MainModelImp : MainContract.IMainModel {
//    private var mHelper: DataBaseOpenHelper? = null
//    private var mGson = Gson()
//
//    override fun initDb(context: Context) {
//        if (mHelper == null) {
//            mHelper = DataBaseOpenHelper.getInstance(context, DataBaseOpenHelper.DB_NAME, DataBaseOpenHelper.DB_VERSION)
//        }
//    }
//
//    override fun getCityList(): ArrayList<CityData.CityDataBean> {
//        val cursor = mHelper!!.query(DataBaseOpenHelper.DB_TABLE_NAME, " order by "+DataBaseOpenHelper.CITY_ORDER+" desc")
//        val list = ArrayList<CityData.CityDataBean>()
//        if (cursor.count > 0) {
//            while (cursor.moveToNext()) {
//                val cityData = mGson.fromJson(cursor.getString(cursor.getColumnIndex(DataBaseOpenHelper.CITY_JSON)), CityData.CityDataBean::class.java)
//                cityData.cityId = cursor.getString(cursor.getColumnIndex(DataBaseOpenHelper.CITY_ID))
//                cityData.cityOrder = cursor.getInt(cursor.getColumnIndex(DataBaseOpenHelper.CITY_ORDER))
//                if (cityData.cityOrder == 0) {
//                    list.add(0, cityData)
//                } else {
//                    list.add(cityData)
//                }
//            }
//        }
//        closeDb()
//        return list
//    }
//
//    override fun saveCity(city: CityData.CityDataBean) {
//        mHelper!!.execSQL("UPDATE " + DataBaseOpenHelper.DB_TABLE_NAME + " SET " + DataBaseOpenHelper.CITY_ORDER + "= -1")
//        city.cityId = city.Key
//        city.cityOrder = 0
//        val value = ContentValues()
//        value.put(DataBaseOpenHelper.CITY_ID, city.cityId)
//        value.put(DataBaseOpenHelper.CITY_JSON, mGson.toJson(city))
//        value.put(DataBaseOpenHelper.CITY_ORDER, city.cityOrder)
//        mHelper!!.insert(DataBaseOpenHelper.DB_TABLE_NAME, value)
//        closeDb()
//    }
//
//    override fun updateCity(city: CityData.CityDataBean) {
//        val value = ContentValues()
//        value.put(DataBaseOpenHelper.CITY_ID, city.cityId)
//        value.put(DataBaseOpenHelper.CITY_JSON, mGson.toJson(city))
//        value.put(DataBaseOpenHelper.CITY_ORDER, city.cityOrder)
//        mHelper!!.update(DataBaseOpenHelper.DB_TABLE_NAME, value, DataBaseOpenHelper.CITY_ORDER + "= ?", arrayOf(city.cityOrder.toString()))
//        closeDb()
//    }
//
//
//    override fun getNewCity(cityId: String): CityData.CityDataBean? {
//        val cursor = mHelper!!.query(DataBaseOpenHelper.DB_TABLE_NAME, "where "+DataBaseOpenHelper.CITY_ID + "=" + cityId)
//        return if (cursor.count > 0) {
//            cursor.moveToNext()
//            val cityData = mGson.fromJson(cursor.getString(cursor.getColumnIndex(DataBaseOpenHelper.CITY_JSON)), CityData.CityDataBean::class.java)
//            cityData.cityId = cursor.getString(cursor.getColumnIndex(DataBaseOpenHelper.CITY_ID))
//            cityData.cityOrder = cursor.getInt(cursor.getColumnIndex(DataBaseOpenHelper.CITY_ORDER))
//            closeDb()
//            cityData
//        }else{
//            closeDb()
//            null
//        }
//    }
//
//    override fun closeDb() {
//        mHelper?.close()
//    }
//
//}