//package com.dotools.weather.model
//
//import android.content.ContentValues
//import android.content.Context
//import com.dotools.weather.bean.CityData
//import com.dotools.weather.bean.CurrentWeatherData
//import com.dotools.weather.contract.SearchCityContract
//import com.dotools.weather.util.DataBaseOpenHelper
//import com.google.gson.Gson
//
//class SearchCityModelImp : SearchCityContract.ISearchCityModel {
//    private var mHelper: DataBaseOpenHelper? = null
//    private var mGson = Gson()
//
//    override fun initDb(context: Context) {
//        if (mHelper == null) {
//            mHelper = DataBaseOpenHelper.getInstance(context, DataBaseOpenHelper.DB_NAME, DataBaseOpenHelper.DB_VERSION)
//        }
//    }
//
//    override fun closeDb() {
//        mHelper?.close()
//    }
//
//    override fun saveCity(city: CityData.CityDataBean): Long {
//        val cursor = mHelper!!.query(DataBaseOpenHelper.DB_TABLE_NAME, "")
//        city.cityId = city.Key
//        var haveCity = false
//        if (cursor.count > 0) {
//            while (cursor.moveToNext()) {
//                val cityId = cursor.getString(cursor.getColumnIndex(DataBaseOpenHelper.CITY_ID))
//                if (cityId == city.cityId) {
//                    haveCity = true
//                    break
//                }
//            }
//        }
//        if(haveCity){
//            return -1
//        }else{
//            if (cursor.count > 0) {
//                city.cityOrder = -1
//            } else {
//                city.cityOrder = 0
//            }
//            val value = ContentValues()
//            value.put(DataBaseOpenHelper.CITY_ID, city.cityId)
//            value.put(DataBaseOpenHelper.CITY_JSON, mGson.toJson(city))
//            value.put(DataBaseOpenHelper.CITY_ORDER, city.cityOrder)
//            mHelper!!.insert(DataBaseOpenHelper.DB_TABLE_NAME, value)
//        }
//        closeDb()
//        return 1
//    }
//
//
//    override fun saveWeather(cityId: String, weatherData: CurrentWeatherData) {
//        val value = ContentValues()
//        value.put(DataBaseOpenHelper.CURRENT_WEATHER_JSON, mGson.toJson(weatherData))
//        mHelper!!.update(DataBaseOpenHelper.DB_TABLE_NAME, value, DataBaseOpenHelper.CITY_ID + "= ?", arrayOf(cityId))
//        closeDb()
//    }
//
//
//
//}